# Class Fluent<T>

#### Type Parameters

- T

#### Hierarchy (View Summary)

- Fluent
  - Tag
  - Tags

- Defined in packages/lib/src/Fluent.ts:3

#####
Index

### Constructors

constructor

### Properties

xs

### Methods

append
clone
concat
count
drop
every
exists
filter
find
first
flatMap
forEach
has
join
keep
last
map
mapTo
nth
prepend
reject
set
slice
some
take
uniq
valueOf
without
create
from

##
Constructors

### constructor

- new Fluent< T >(xs: T []): Fluent < T >

- #### Type Parameters

  - T

  #### Parameters

  - xs: T []

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:4

##
Properties

### `Readonly` xs

xs: T []

- Defined in packages/lib/src/Fluent.ts:4

##
Methods

### append

- append(x: T ): Fluent < T >

- #### Parameters

  - x: T

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:68

### clone

- clone< K extends Fluent < T >>(this: K , xs: T []): K

- #### Type Parameters

  - K extends Fluent < T >

  #### Parameters

  - this: K
  - xs: T []

  #### Returns K

  - Defined in packages/lib/src/Fluent.ts:14

### concat

- concat(xs: T []): Fluent < T >

- #### Parameters

  - xs: T []

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:66

### count

- count(): number

- #### Returns number

  - Defined in packages/lib/src/Fluent.ts:26

### drop

- drop(n: number): Fluent < T >

- #### Parameters

  - n: number

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:44

### every

- every(f: (t: T ) => boolean): boolean

- #### Parameters

  - f: (t: T ) => boolean

  #### Returns boolean

  - Defined in packages/lib/src/Fluent.ts:32

### exists

- exists(): boolean

- #### Returns boolean

  - Defined in packages/lib/src/Fluent.ts:28

### filter

- filter(f: (t: T ) => boolean): Fluent < T >

- #### Parameters

  - f: (t: T ) => boolean

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:46

### find

- find(f: (t: T ) => boolean): undefined | T

- #### Parameters

  - f: (t: T ) => boolean

  #### Returns undefined | T

  - Defined in packages/lib/src/Fluent.ts:36

### first

- first(): T

- #### Returns T

  - Defined in packages/lib/src/Fluent.ts:20

### flatMap

- flatMap< U >(f: (t: T ) => U []): Fluent < U >

- #### Type Parameters

  - U

  #### Parameters

  - f: (t: T ) => U []

  #### Returns Fluent < U >

  - Defined in packages/lib/src/Fluent.ts:58

### forEach

- forEach(f: (t: T , i: number) => void): void

- #### Parameters

  - f: (t: T , i: number) => void

  #### Returns void

  - Defined in packages/lib/src/Fluent.ts:60

### has

- has(v: T ): boolean

- #### Parameters

  - v: T

  #### Returns boolean

  - Defined in packages/lib/src/Fluent.ts:30

### join

- join(s: string): string

- #### Parameters

  - s: string

  #### Returns string

  - Defined in packages/lib/src/Fluent.ts:62

### keep

- keep(xs: T []): Fluent < T >

- #### Parameters

  - xs: T []

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:50

### last

- last(): T

- #### Returns T

  - Defined in packages/lib/src/Fluent.ts:24

### map

- map(f: (t: T ) => T ): Fluent < T >

- #### Parameters

  - f: (t: T ) => T

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:54

### mapTo

- mapTo< U >(f: (t: T ) => U ): Fluent < U >

- #### Type Parameters

  - U

  #### Parameters

  - f: (t: T ) => U

  #### Returns Fluent < U >

  - Defined in packages/lib/src/Fluent.ts:56

### nth

- nth(i: number): T

- #### Parameters

  - i: number

  #### Returns T

  - Defined in packages/lib/src/Fluent.ts:22

### prepend

- prepend(x: T ): Fluent < T >

- #### Parameters

  - x: T

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:70

### reject

- reject(f: (t: T ) => boolean): Fluent < T >

- #### Parameters

  - f: (t: T ) => boolean

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:48

### set

- set(i: number, x: T ): Fluent < T >

- #### Parameters

  - i: number
  - x: T

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:64

### slice

- slice(a: number, b?: number): Fluent < T >

- #### Parameters

  - a: number
  - `Optional` b: number

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:40

### some

- some(f: (t: T ) => boolean): boolean

- #### Parameters

  - f: (t: T ) => boolean

  #### Returns boolean

  - Defined in packages/lib/src/Fluent.ts:34

### take

- take(n: number): Fluent < T >

- #### Parameters

  - n: number

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:42

### uniq

- uniq(): Fluent < T >

- #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:38

### valueOf

- valueOf(): T []

- #### Returns T []

  - Defined in packages/lib/src/Fluent.ts:18

### without

- without(xs: T []): Fluent < T >

- #### Parameters

  - xs: T []

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:52

### `Static` create

- create(): Fluent <never>

- #### Returns Fluent <never>

  - Defined in packages/lib/src/Fluent.ts:6

### `Static` from

- from< T >(xs: Iterable< T >): Fluent < T >

- #### Type Parameters

  - T

  #### Parameters

  - xs: Iterable< T >

  #### Returns Fluent < T >

  - Defined in packages/lib/src/Fluent.ts:10